import { InitResp } from 'src/types/api';
import Mode from '../GameModes/Mode';

export class GameDataFactory
{
    create(raw: InitResp)
    {
        const gd = Mode.createGameData(raw);

        gd.isInit = true;

        return gd;
    }
}
